Product Definitions & Fees

Get Product Definitions

get
/products

Get product definitions that are already or could be potentially available for partner

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Responses
chevron-right
200

OK

application/json
get
/products
200

OK

Get Fee Instances

get
/products/fees/instances

Get fee instances. If productCode is not provided, returns fees for all products.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Query parameters
productCodestring · enumOptional

Product code

Possible values:
feeInstanceStatusstring · enumOptional

The status of the fee instance

Possible values:
Responses
chevron-right
200

OK

application/json
feeInstanceIdstring · uuidRead-onlyRequired

Unique identification number in UUID format.

productCodestring · enumRequired

Product code

Possible values:
categorystring · enumRequired

The category of the fee

Possible values:
statusstring · enumRequired

The status of the fee instance

Possible values:
currencystring · enumRequired

Currency of the product's balance. Currency code in ISO 4217

Possible values:
feeTypestring · enumRequired

The type of the fee

Possible values:
feeTriggerstring · enumRequired

The trigger of the fee

Possible values:
feeFrequencystring · enumOptional

The frequency of the fee

Possible values:
feeCollectionstring · enumRequired

The collection of the fee

Possible values:
partnerIdstring · uuidRequired

Unique identification number in UUID format.

feeTriggerEventstring · enumOptional

Fee trigger event, only applicable if feeTrigger = EVENT_BASED

Possible values:
fixedFeeAmountnumberOptional

Fee amount in currency, only applicable if feeType = FIXED

inducementAmountnumberOptional

Inducement amount, only applicable if feeType = FIXED

feeRationumberOptional

Fee amount in percentage, only applicable if feeType = VARIABLE

minFeeAmountnumberOptional

Minimum fee amount to be charged, only applicable if feeType = VARIABLE

maxFeeAmountnumberOptional

Maximum fee amount to be charged only applicable if feeType = VARIABLE

validFromstring · dateRequired
validUntilstring · dateOptional
createdOnstring · date-timeRead-onlyRequired
modifiedOnstring · date-timeRead-onlyRequired
get
/products/fees/instances

Last updated